Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.exception
Class SAGApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.appconn.common.ApplicationException
                  com.stc.connector.sagadapter.exception.SAGApplicationException

All Implemented Interfaces:
  java.io.Serializable

    public class SAGApplicationException

extends com.stc.connector.appconn.common.ApplicationException

General exception class for the SAG (Swift Alliance Gateway) application.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:43 $
Author:
  Harry Liu (harry.liu@sun.com)
See Also:
  Serialized Form

Constructor Summary
`SAGApplicationException()` Creates a new instance of `SAGApplicationException` without detail message.
`SAGApplicationException(java.lang.String msg)` Constructs an instance of `SAGApplicationException` with the specified detail message.
`SAGApplicationException(java.lang.String msg, java.lang.Exception e)` Constructs an instance of `SAGApplicationException` with the specified detail message and a nested exception.

Method Summary
`java.lang.String` | `getMessage()` Retrieves the error message associated with this exception
`void` | `persist(DataOutput dos)` Persists (serialize) this message.
`void` | `restore(DataInput dis)` Restore (deserialize) this message.
`void` | `setMessage(java.lang.String message)` Sets the error message associated with this exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAGApplicationException

    public SAGApplicationException()

  Creates a new instance of `SAGApplicationException` without detail message.

### SAGApplicationException

    public SAGApplicationException(java.lang.String msg)

  Constructs an instance of `SAGApplicationException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### SAGApplicationException

    public SAGApplicationException(java.lang.String msg,
                                   java.lang.Exception e)

  Constructs an instance of `SAGApplicationException` with the specified detail message and a nested exception.

  Parameters:
    `msg` - the detail message.
    `e` - the nested exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Retrieves the error message associated with this exception

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the error message

### setMessage

    public void setMessage(java.lang.String message)

  Sets the error message associated with this exception

  Parameters:
    `message` - the error message

### persist

    public void persist(DataOutput dos)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Parameters:
    `dos` - The DataOutputStream to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(DataInput dis)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Parameters:
    `dis` - The DataInputStream from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.